package com.ruoyi.web.work.mapper;


import java.util.List;

import com.ruoyi.common.core.domain.entity.SysDept;
import com.ruoyi.web.work.domain.Visit;
import com.ruoyi.web.work.domain.dto.PatientCardDto;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author lsw
 * @date 2024-07-23
 */
public interface VisitMapper extends BaseMapper<Visit>{
    List<Visit> queryList(Visit visit);


    List<Visit> selectVisitsByCardId(String cardId);

    //根据患者id查询就诊列表
    List<Visit> selectVisitsByPatId(@Param("patId") String patId,@Param("startTime")String startTime,@Param("endTime")String endTime);

    List<Visit> selectVisitsByDeptId(Long deptId);

    //获取当前用户部门下的患者信息
    List<Visit> selectVisitsByIdAndUserName(@Param("deptId") Long deptId,@Param("userName") String userName);

    List<PatientCardDto> getPatientCardByNameOrDepartmentOrPhysician(PatientCardDto patientCardDto);

    Long isRole(Long userId);

    List<PatientCardDto> getPatientCardByUserId(String doctorCode);
}
